import es, gamethread, playerlib, cfglib

info = es.AddonInfo()
info.version = "1.0 In Python"
info.author = "DreTaX"
info.name = "dretaxzmprotect"
info.url = "http://addons.eventscripts.com/addons/user/56071"
info.date = "2012.08.17"
es.ServerVar('DreTaXZMProTeCt', info.version, 'By DreTaX').makepublic()

config = cfglib.AddonCFG(es.getAddonPath("dretaxprotect") + "/spawnprotect.cfg")
 
config.text("  DreTaXProtect SETTINGS")
dretaxprotect_enable     = config.cvar("dretaxprotect_enable",     1, "Enable/disable DreTaX's Protection")
config.text("  DreTaXProtect's SpawnProtection Settings")

dretax_spawnenable   = config.cvar("dretax_spawnenable",   1, "Enable/disable dretax_spawn spawnprotection module.")
dretax_spawntime   = config.cvar("dretax_spawntime",   7, "Time in Seconds: Def: 7")
config.write()
 
def load():
	es.msg("[DreTaXs Python ZM SpawnProtection Loaded]")
	es.mexec("../addons/eventscripts/dretaxprotect/spawnprotect.cfg")
	
def unload():
	es.msg("[DreTaXs Python ZM SpawnProtection UnLoaded]")
	
def es_map_start(E):
	es.mexec("../addons/eventscripts/dretaxprotect/spawnprotect.cfg")

def player_death(E):
	if dretaxprotect_enable:		
		if dretax_spawnenable:
			playerlib.getPlayer(E["userid"]).set('color', [255, 255, 255, 255])  

def player_spawn(E):
    if dretaxprotect_enable:
		userid = int(E["userid"])
		if dretax_spawnenable:
			jatekos = playerlib.getPlayer(userid)
			szin = jatekos.get('color')
    if es.getplayerteam(userid) == 3:
            jatekos.set('color', [0, 0, 255, 128])
            es.setplayerprop(userid, "CBasePlayer.m_lifeState", 0)
            gamethread.cancelDelayed("echo_%s" % userid)
            gamethread.delayedname(int(dretax_spawntime), "echo_%s" % userid, reset, (userid, szin))
    if es.getplayerteam(userid) == 2:
            jatekos.set('color', [255, 255, 255, 255])

def reset(userid, szin):
	es.setplayerprop(userid, "CBasePlayer.m_lifeState", 512)
	playerlib.getPlayer(userid).set('color', szin)
